immich-go(1)

NAME
immich-go-archive-from-google-photos - Upload photos either from a zipped Google Photos takeout or decompressed archive

SYNOPSIS
immich-go archive from-google-photos [flags] |

DESCRIPTION
Upload photos either from a zipped Google Photos takeout or decompressed archive

OPTIONS
--ban-file='@eaDir/', '@__thumb/', 'SYNOFILETHUMB.', 'Lightroom Catalog/', 'thumbnails/', '.DSStore', '/.*', '.Spotlight-V100/', '.photostructure/', 'Recently Deleted/'
    Exclude a file based on a pattern (case-insensitive). Can be specified multiple times.

--date-range=unset
    Only import photos taken within the specified date range

--exclude-extensions=
    Comma-separated list of extension to exclude. (e.g. .gif,.PM) (default: none)

--from-album-name=""
    Only import photos from the specified Google Photos album

-h, --help[=false]
    help for from-google-photos

-a, --include-archived[=true]
    Import archived Google Photos

--include-extensions=
    Comma-separated list of extension to include. (e.g. .jpg,.heic) (default: all)

-p, --include-partner[=true]
    Import photos from your partner's Google Photos account

-t, --include-trashed[=false]
    Import photos that are marked as trashed in Google Photos

--include-type=
    Single file type to include. (VIDEO or IMAGE) (default: all)

-u, --include-unmatched[=false]
    Import photos that do not have a matching JSON file in the takeout

--include-untitled-albums[=false]
    Include photos from albums without a title in the import process

--partner-shared-album=""
    Add partner's photo to the specified album name

--people-tag[=true]
    Tag uploaded photos with tags "people/name" found in the JSON file

--sync-albums[=true]
    Automatically create albums in Immich that match the albums in your Google Photos takeout

--takeout-tag[=true]
    Tag uploaded photos with a tag "{takeout}/takeout-YYYYMMDDTHHMMSSZ"

OPTIONS INHERITED FROM PARENT COMMANDS
--concurrent-tasks=16
    Number of concurrent tasks (1-20)

--config=""
    config file (default is ./immich-go.yaml)

--dry-run[=false]
    dry run

-l, --log-file=""
    Write log messages into the file

--log-level="INFO"
    Log level (DEBUG|INFO|WARN|ERROR), default INFO

--log-type="text"
    Log formatted as text of JSON file

--on-errors=stop
    What to do when an error occurs (stop, continue, accept N errors at max)

--save-config[=false]
    Save the configuration to immich-go.yaml

-w, --write-to-folder=""
    Path where to write the archive

SEE ALSO
immich-go-archive(1)

HISTORY
28-Mar-2026 Auto generated by spf13/cobra